MetaData (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class MetaData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.MetaData

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class MetaData
      extends ASN1Object

  RFC 5544: Binding Documents with Time-Stamps; MetaData object.

       MetaData ::= SEQUENCE {
         hashProtected        BOOLEAN,
         fileName             UTF8String OPTIONAL,
         mediaType            IA5String OPTIONAL,
         otherMetaData        Attributes OPTIONAL
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaData(ASN1Boolean hashProtected, ASN1UTF8String fileName, ASN1IA5String mediaType, Attributes otherMetaData)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DERUTF8String` | `getFileName()` Deprecated. Use `getFileNameUTF8()` instead.
    `ASN1UTF8String` | `getFileNameUTF8()`
    `static MetaData` | `getInstance(java.lang.Object obj)` Return a MetaData object from the given object.
    `DERIA5String` | `getMediaType()` Deprecated. Use `getMediaTypeIA5()` instead.
    `ASN1IA5String` | `getMediaTypeIA5()`
    `Attributes` | `getOtherMetaData()`
    `boolean` | `isHashProtected()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaData

          public MetaData(ASN1Boolean hashProtected,
                          ASN1UTF8String fileName,
                          ASN1IA5String mediaType,
                          Attributes otherMetaData)

  - ### Method Detail

    - #### getInstance

          public static MetaData getInstance(java.lang.Object obj)

      Return a MetaData object from the given object.

      Accepted inputs:

      - null → null
      - `MetaData` object
      - `ASN1Sequence` input formats with MetaData structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### isHashProtected

          public boolean isHashProtected()

    - #### getFileName

          public DERUTF8String getFileName()

      Deprecated. Use `getFileNameUTF8()` instead.

    - #### getFileNameUTF8

          public ASN1UTF8String getFileNameUTF8()

    - #### getMediaType

          public DERIA5String getMediaType()

      Deprecated. Use `getMediaTypeIA5()` instead.

    - #### getMediaTypeIA5

          public ASN1IA5String getMediaTypeIA5()

    - #### getOtherMetaData

          public Attributes getOtherMetaData()